List connections for a dedicated server
/v1/hosts/dedicated_servers/{server_id}/connectionsThe connection contains general information about network interfaces of a server. Send a GET request to /v1/hosts/dedicated_servers/{server_id}/connections to list all the connections of a specified server. It's necessary to fill server_id as the path parameter.
Authorization
bearerAuth In: header
Path Parameters
A unique identifier of a server.
Query Parameters
The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.
1 <= value <= 10020The number of a page (>= 1) that will be returned. By default, it's 1.
1 <= value1This parameter sorts items. By default, it's port. If you wish, you can sort results by type as well.
"port"Value in
- "port"
- "type"
This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.
"ASC"Value in
- "ASC"
- "DESC"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/hosts/dedicated_servers/APdRXVaG/connections"[ { "port": "NIC 1", "type": "public", "macaddr": null }, { "port": "NIC 2", "type": "private", "macaddr": null }, { "port": "oob_port", "type": "oob", "macaddr": null }]{ "message": "Bad request", "code": "BAD_REQUEST", "params": [ "per_page" ]}{ "message": "Not found", "code": "NOT_FOUND"}{ "message": "Host is not ready", "code": "PRECONDITION_FAILED"}